Document Request Update
Updates an existing document request.
JWT token to authenticate the request.
In: header
API key, sent as a request header.
In: header
Path Parameters
GUID of the document request to update.
uuidRequest Body
application/json
The DocumentRequestModel payload to update. Server-managed fields (ids, timestamps, links, isDeleted) are ignored.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/documents/request/6ba7b810-9dad-11d1-80b4-00c04fd430c8/update" \ -H "Content-Type: application/json" \ -d '{ "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301", "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002", "recordId": "INV-2026-000123", "name": "Invoice run - Contoso July", "status": "Pending", "embeddedData": "{\\"invoiceNumber\\":\\"INV-2026-000123\\"}", "title": "Invoice INV-2026-000123", "fileFormat": "pdf", "processingType": "STANDARD", "deliveryMethod": "Email", "path": "output/invoices/", "language": "en", "locale": "en-US", "timeZone": "America/New_York", "viewAnonymous": false, "viewOrganization": true, "viewUser": true, "viewUserEmailList": "alice@example.com,bob@example.com", "editUserEmailList": "carol@example.com" }'{ "result": { "data": { "documentRequest": { "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8", "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301", "documentGuid": "", "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002", "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d", "recordId": "INV-2026-000123", "name": "Invoice run - Contoso July", "status": "Pending", "embeddedData": "{\"invoiceNumber\":\"INV-2026-000123\"}", "title": "Invoice INV-2026-000123", "fileFormat": "pdf", "processingType": "STANDARD", "deliveryMethod": "Email", "path": "output/invoices/", "pdfConformanceLevel": "PdfA2B", "pdfVersion": "2026-01-07", "language": "en", "locale": "en-US", "timeZone": "America/New_York", "viewAnonymous": false, "editAnonymous": false, "viewOrganization": true, "editOrganization": false, "viewUser": true, "editUser": false, "viewUserEmailList": "alice@example.com,bob@example.com", "editUserEmailList": "carol@example.com", "createdDate": "2026-07-14T09:30:00.000Z", "completedDate": "", "lastModifiedDate": "2026-07-14T09:30:00.000Z", "isDeleted": false } }, "statusCode": 200, "message": "OK" }, "origin": "PUT https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/update", "dateTime": "2026-07-14T09:30:00.000Z", "operationId": "c2000f918deda46abdcb29b75568f4b3", "userId": "1f34461e-d7a5-4c41-acad-9b1a34f5a7a0"}{ "userId": "870445ce-7fd1-4802-b698-2717d7c66196", "error": { "statusCode": 400, "message": "Name is required.", "innerErrors": [ { "code": "DATA_NAME_REQUIRED", "message": "Name is required.", "userMessage": "Name is required." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "aeb163e99ec54aa8d58c5f893f1d882a"}{ "error": { "statusCode": 401, "message": "The request could not be authenticated.", "innerErrors": [ { "code": "UNAUTHORIZED", "message": "The request could not be authenticated.", "userMessage": "Your session has expired or is invalid. Please sign in again." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "6dbe2c1d568ced61536e78ea44c4e717", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "statusCode": 404, "message": "The requested resource was not found.", "innerErrors": [ { "code": "NOT_FOUND_BY_ID", "message": "The requested resource was not found.", "userMessage": "We couldn't find that resource. Check the id and try again." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "1319d997f187667570e790e211fe5be7", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "userId": "d6594e8f-37a7-489f-8522-b9f03bea66d5", "error": { "statusCode": 500, "message": "An unexpected error occurred.", "innerErrors": [ { "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "userMessage": "An unexpected error occurred." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "1fa9e06dc5d6e3f013c301c668dda787"}